Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.CustomBar

Extends Tee.Series.
Base abstract class to draw data as vertical or horizontal bars
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.CustomBar(o, o2)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| barSize Defines the percent size of bars on available space.
| barStyle Which shape to draw ("bar", "ellipse", "line").
| offset Defines the percent bar size to offset each bar.
| origin Defines the value to use as bar minimum.
| sideMargins Defines the percent of bar size to use as spacing between axes.
| useOrigin Determines if {Tee.CustomBar#origin} value is used as bar minimum.

Fields borrowed from class Tee.Series:
  chart, colorEach, cursor, data, format, horizAxis, legendText, marks, vertAxis, visible

Method Summary
Method Attributes | Method Name and Description
--- | ---
| calcBarOffset(axisSize)
| calcColorEach()
| calcStackPos(t, p)
| clicked(p)
| countAll(upToThis)
| draw()
| drawBar(r, barStyle)
| initOffsets()
| initZ(index, total)
| labelOrTitle(index)
| markPos(t, p)

Methods borrowed from class Tee.Series:
  addRandom, associatedToAxis, bounds, calc, calcStack, cellRect, count, dataText, doHover, doSort, drawMarks, getFill, getFillStyle, getRect, horizMargins, init, isNull, legendColor, legendCount, markText, maxXValue, maxYValue, minXValue, minYValue, mousedown, mousemove, mouseout, pointOrigin, recalcAxes, refresh, setChart, stackMaxValue, titleText, toPercent, valueOrLabel, valueText, vertMargins

Class Detail
Tee.CustomBar(o, o2)

Parameters:
o
o2

Field Detail
{Number} barSize
Defines the percent size of bars on available space.

Default Value:
  70

{String} barStyle
Which shape to draw ("bar", "ellipse", "line").

Default Value:
  "bar"

{Number} offset
Defines the percent bar size to offset each bar.

Default Value:
  0

{Number} origin
Defines the value to use as bar minimum.

Default Value:
  0

{Number} sideMargins
Defines the percent of bar size to use as spacing between axes.

Default Value:
  100

{Boolean} useOrigin
Determines if {Tee.CustomBar#origin} value is used as bar minimum.

Default Value:
  true

Method Detail
calcBarOffset(axisSize)

Parameters:
axisSize

calcColorEach()

calcStackPos(t, p)

Parameters:
t
p

{Number} clicked(p)

Parameters:
p

Returns:
  {Number} Returns the index of series bar that contains Tee.Point p parameter.

{Number} countAll(upToThis)

Parameters:
upToThis

Returns:
  {Number} Returns the number of visible Tee.CustomBar series that are displayed before this series.

draw()

drawBar(r, barStyle)

Parameters:
r
barStyle

initOffsets()

initZ(index, total)

Parameters:
index
total

labelOrTitle(index)

Parameters:
index

markPos(t, p)

Parameters:
t
p

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)